=== debian/changelog ===
ocsigenserver (2.6-1build2) xenial; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 12:24:57 +0000

ocsigenserver (2.6-1build1) xenial; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Jan 2016 11:56:33 +0000

ocsigenserver (2.6-1) unstable; urgency=medium

  * Team upload.
  * New uptsream release
  * Add libfindlib-ocaml-dev to Build-Depends
  * Bump minimal requirement on Lwt to 2.5~
  * Build-Depend on camlp4 instead of camlp4-extra
  * Build-Depend on tyxml >= 3.5.0~
  * Install README.md instead of README file (which is gone)

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 13:27:22 +0200
