=== debian/watch ===
version=3
http://ocsigen.org/ocsigenserver/install .*/archive/(.*)\.tar\.gz
