=== debian/changelog ===
ocsigenserver (2.7-1build4) artful; urgency=medium

  * No-change rebuild against libcryptokit-ocaml-ij9u6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Aug 2017 04:47:47 +0000

ocsigenserver (2.7-1build3) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 14 Jul 2017 22:58:28 +0100

ocsigenserver (2.7-1build2) zesty; urgency=medium

  * Rebuild against new OCaml ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 08 Jan 2017 22:59:33 +0100

ocsigenserver (2.7-1build1) zesty; urgency=medium

  * Rebuild against new OCaml ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Dec 2016 22:39:58 +0100

ocsigenserver (2.7-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8
  * Bump debhelper compat to 9

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Aug 2016 17:16:49 +0200
