=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: ocsigenserver
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Nicolas Dandrimont <nicolas.dandrimont@crans.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  ocaml-nox (>= 4.01),
  camlp4 (>= 4.02~),
  ocaml-findlib (>= 1.4),
@@ -22,10 +23,10 @@
  libfindlib-ocaml-dev,
  libipaddr-ocaml-dev,
  dh-ocaml (>= 0.9.5~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://ocsigen.org/ocsigenserver/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocsigenserver.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocsigenserver.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocsigenserver.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocsigenserver.git
 
 Package: ocsigenserver
 Section: httpd
