## ocsigenserver 2.16.0

=== src/extensions/Makefile ===
--- 
+++ 
@@ -3,17 +3,17 @@
 PACKAGE  :=		\
 	bytes		\
 	lwt.unix	\
+	lwt_log		\
 	ipaddr		\
-	lwt.ssl		\
-	lwt.react	\
+	lwt_ssl		\
+	lwt_react	\
 	netstring	\
 	netstring-pcre	\
-	tyxml.parser	\
-	${SERVER_SYNTAX} ## See ../../Makefile.options
+	xml-light
 
 LIBS     := -I ../baselib -I ../http -I ../server ${addprefix -package ,${PACKAGE}}
-OCAMLC   := $(OCAMLFIND) ocamlc ${BYTEDBG}
-OCAMLOPT := $(OCAMLFIND) ocamlopt ${OPTDBG}
+OCAMLC   := $(OCAMLFIND) ocamlc ${BYTEDBG} ${THREAD}
+OCAMLOPT := $(OCAMLFIND) ocamlopt ${OPTDBG} ${THREAD}
 OCAMLDOC := $(OCAMLFIND) ocamldoc
 OCAMLDEP := $(OCAMLFIND) ocamldep
 
@@ -46,6 +46,14 @@
 opt:: ${FILES:.ml=.cmxs}
 endif
 
+### PostgreSQL ###
+
+ifeq "$(OCSIPERSISTPGSQL)" "YES"
+byte::
+	$(MAKE) -C ocsipersist-pgsql byte
+opt::
+	$(MAKE) -C ocsipersist-pgsql opt
+endif
 ### SQLite ###
 
 ifeq "$(OCSIPERSISTSQLITE)" "YES"
@@ -80,6 +88,7 @@
 clean: clean.local
 	${MAKE} -C ocsipersist-dbm clean
 	${MAKE} -C ocsipersist-sqlite clean
+	${MAKE} -C ocsipersist-pgsql clean
 clean.local:
 	-rm -f *.cm* *.o *.a *.annot
 	-rm -f ${PREDEP}
@@ -87,6 +96,8 @@
 	-rm -f *~ \#* .\#*
 	${MAKE} -C ocsipersist-dbm distclean
 	${MAKE} -C ocsipersist-sqlite distclean
+	${MAKE} -C ocsipersist-pgsql distclean
+	-rm -f .depend
 
 ## Dependencies
 
@@ -94,6 +105,7 @@
 	$(OCAMLDEP) ${LIBS} *.mli *.ml > .depend
 	${MAKE} -C ocsipersist-dbm depend
 	${MAKE} -C ocsipersist-sqlite depend
+	${MAKE} -C ocsipersist-pgsql depend
 
 FORCE:
 -include .depend
