=== src/http/Makefile ===
--- 
+++ 
@@ -3,13 +3,13 @@
 	bytes \
 	netstring \
 	netstring-pcre \
-	lwt.ssl \
-	tyxml \
-	${SERVER_SYNTAX} ## See ../../Makefile.options
+	lwt_ssl \
+	lwt_log \
+	tyxml
 
 LIBS     := -I ../baselib ${addprefix -package ,${PACKAGE}}
-OCAMLC   := $(OCAMLFIND) ocamlc ${BYTEDBG}
-OCAMLOPT := $(OCAMLFIND) ocamlopt ${OPTDBG}
+OCAMLC   := $(OCAMLFIND) ocamlc ${BYTEDBG} ${THREAD}
+OCAMLOPT := $(OCAMLFIND) ocamlopt ${OPTDBG} ${THREAD}
 OCAMLDOC := $(OCAMLFIND) ocamldoc
 OCAMLDEP := $(OCAMLFIND) ocamldep
