=== src/extensions/ocsipersist-dbm/Makefile ===
--- 
+++ 
@@ -1,9 +1,6 @@
 include ../../../Makefile.config
 
-PACKAGE  := ${LWT_PREEMPTIVE_PACKAGE} \
-	    lwt.unix     \
-	    tyxml.parser \
-	    dbm          \
+PACKAGE  := lwt.unix lwt_log xml-light dbm
 
 LIBS     := -I ../../baselib -I ../../http -I ../../server \
 	    ${addprefix -package ,${PACKAGE}}
@@ -39,7 +36,7 @@
 	cp $@ ..
 
 ocsipersist.mli:
-	ln -s ../ocsipersist.mli .
+	ln -s -f ../ocsipersist.mli .
 
 ###
 
@@ -71,6 +68,7 @@
 	-rm -f ocsidbm ocsidbm.opt
 distclean: clean
 	-rm -f *~ \#* .\#*
+	-rm -f .depend
 
 ## Dependencies
