=== src/extensions/ocsipersist-sqlite/Makefile ===
--- 
+++ 
@@ -1,8 +1,6 @@
 include ../../../Makefile.config
 
-PACKAGE  := lwt.preemptive  \
-	    tyxml.parser \
-	    sqlite3      \
+PACKAGE  := lwt lwt_log xml-light sqlite3
 
 LIBS     := -I ../../baselib -I ../../http -I ../../server \
 	    ${addprefix -package ,${PACKAGE}}
@@ -38,7 +36,7 @@
 	cp $@ ..
 
 ocsipersist.mli:
-	ln -s ../ocsipersist.mli .
+	ln -s -f ../ocsipersist.mli .
 
 ##########
 
@@ -58,6 +56,7 @@
 	-rm -f ${PREDEP}
 distclean: clean
 	-rm -f *~ \#* .\#*
+	-rm -f .depend
 
 ## Dependencies
