=== debian/changelog ===
ocsigenserver (2.16.0-3build2) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Sep 2020 14:03:54 +0200

ocsigenserver (2.16.0-3build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Aug 2020 19:55:21 +0200

ocsigenserver (2.16.0-3) unstable; urgency=medium

  * Add missing space in ocamlc invocation (Closes: #963461)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Aug 2020 12:48:11 +0200

ocsigenserver (2.16.0-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jan 2020 13:49:24 +0100

ocsigenserver (2.16.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no
  * Remove Samuel from Uploaders

  [ Nicolas Dandrimont ]
  * d/control: remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jan 2020 11:03:53 +0100
