=== debian/control ===
--- 
+++ 
@@ -1,36 +1,35 @@
 Source: ocsigenserver
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>,
- Samuel Mimram <smimram@debian.org>,
- Nicolas Dandrimont <nicolas.dandrimont@crans.org>
+ Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
- ocaml-nox (>= 4.01),
- camlp4 (>= 4.02~),
- ocaml-findlib (>= 1.4),
- liblwt-ssl-ocaml-dev (>= 2.5~),
- libocamlnet-ocaml-dev (>= 3.6.5),
- libpcre-ocaml-dev (>= 6.0.1-2~),
- libssl-ocaml-dev (>= 0.4.3-3~),
- libsqlite3-ocaml-dev (>= 1.5.6-3~),
- libzip-ocaml-dev (>= 1.04-6~),
- libcryptokit-ocaml-dev (>= 1.3-14~),
- libtyxml-ocaml-dev (>= 3.5.0~),
+ debhelper-compat (= 13),
+ ocaml-nox,
+ ocaml-findlib,
+ liblwt-ocaml-dev (>= 3.0.0),
+ liblwt-ssl-ocaml-dev,
+ liblwt-log-ocaml-dev,
+ libocamlnet-ocaml-dev,
+ libpcre-ocaml-dev,
+ libsqlite3-ocaml-dev,
+ libcryptokit-ocaml-dev,
+ libtyxml-ocaml-dev,
  libfindlib-ocaml-dev,
  libipaddr-ocaml-dev,
- dh-ocaml (>= 0.9.5~)
-Standards-Version: 3.9.8
+ libxml-light-ocaml-dev,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://ocsigen.org/ocsigenserver/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocsigenserver.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocsigenserver.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocsigenserver
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocsigenserver.git
 
 Package: ocsigenserver
 Section: httpd
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser, psmisc, procps,
  ${ocaml:Depends},
  ${shlibs:Depends},
