=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,7 @@
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
+	$(MAKE) depend
 	$(MAKE) $(BUILD_TARGET)
 ifeq ($(BUILD_DOC),yes)
 	$(MAKE) doc
@@ -59,10 +60,12 @@
 	$(MAKE) install.doc
 endif
 
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --fail-missing -X.sample
+.PHONY: override_dh_missing
+override_dh_missing:
+	dh_missing --fail-missing -X.sample
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	[ ! -f Makefile.config ] || $(MAKE) distclean
+
+override_dh_dwz:
